Bug 9023 - Inappropriate error message if not run as root
Summary: Inappropriate error message if not run as root
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: control-panel   
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: johnsnom
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-31 19:10 UTC by Bryce Nesbitt
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-05 03:41:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bryce Nesbitt 2000-01-31 19:10:41 UTC
This could be a little nicer :-).  How about "you must be root to run this
program".

smurfette:/home/bryce/cvs/inet/eng> control-panel &
[2] 9247
smurfette:/home/bryce/cvs/inet/eng> Red Hat Linux netcfg 2.21
Copyright (C) 1996, 1997, 1998, 1999  Red Hat, Inc.
Redistributable under the terms of the GNU General Public License
Traceback (innermost last):
  File "/usr/lib/rhs/netcfg/netcfg.py", line 1943, in ?
    win = WindowFrame(Toplevel())
  File "/usr/lib/rhs/netcfg/netcfg.py", line 1911, in __init__
    self.G = GV()
  File "/usr/lib/rhs/netcfg/netcfg.py", line 172, in __init__
    self.PAP = ConfPAP()
  File "/usr/lib/rhs/python/Conf.py", line 1671, in __init__
    file = open('/etc/ppp/pap-secrets', 'w', -1)
IOError: [Errno 13] Permission denied: '/etc/ppp/pap-secrets'

Comment 1 Nalin Dahyabhai 2000-02-05 03:41:59 UTC
This will be fixed in control-panel-3.13 (or higher) in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.